// Copyright 2004, FreeHEP.
package hep.wired.heprep.interaction;

import hep.wired.services.RecordPlot;

/**
 * Listener for a location.
 * 
 * @author Mark Donszelmann
 * @version $Id: LocationListener.java 8598 2006-08-14 20:38:02Z duns $
 */
public interface LocationListener {

    /**
     * Sets (and fixes) a location.
     */
    public void setLocation(RecordPlot plot, int x, int y, boolean xIsFixed,
            boolean yIsFixed);
}
