// Copyright 2004, FreeHEP.
package hep.wired.heprep.feature;

import hep.wired.services.Feature;

import java.awt.geom.Point2D;

/**
 * Can calculate a nearest point on an object.
 * 
 * @author Mark Donszelmann
 * @version $Id: HasNearestPoint.java 8598 2006-08-14 20:38:02Z duns $
 */

public interface HasNearestPoint extends Feature {

    public Point2D getNearestPoint(Point2D p);
}
